# Off Session Payments

An OffSessionPayment allows you to create your own payment flow for recurring and unscheduled payments. In a single API request, you can initiate a payment and leverage Stripe’s AI-powered [Smart Retries](https://docs.stripe.com/payments/off-session-payments/smart-retries.md)

to choose the best times to retry failures to increase the chance of a successful payment. To properly interface with OffSessionPayments, we recommend setting up an event destination to listen to webhook notifications, as the OffSessionPayment will transition through its lifecycle asynchronously. Related guide: [Off-Session Payments API](https://docs.stripe.com/payments/off-session-payments.md).

## Endpoints

### Create an Off Session Payment

- [POST /v2/payments/off_session_payments](https://docs.stripe.com/api/v2/payments/off-session-payments/create.md)

### Retrieve an Off Session Payment

- [GET /v2/payments/off_session_payments/:id](https://docs.stripe.com/api/v2/payments/off-session-payments/retrieve.md)

### List Off Session Payments

- [GET /v2/payments/off_session_payments](https://docs.stripe.com/api/v2/payments/off-session-payments/list.md)

### Cancel an Off Session Payment

- [POST /v2/payments/off_session_payments/:id/cancel](https://docs.stripe.com/api/v2/payments/off-session-payments/cancel.md)

### Pause an Off Session Payment

- [POST /v2/payments/off_session_payments/:id/pause](https://docs.stripe.com/api/v2/payments/off-session-payments/pause.md)

### Resume an Off Session Payment

- [POST /v2/payments/off_session_payments/:id/resume](https://docs.stripe.com/api/v2/payments/off-session-payments/resume.md)
